Loading...
Searching...
No Matches
rostlab::blast::parser::context Class Reference

`#include <blast-parser-parser.h>`

## Public Member Functions

| context (const parser &yyparser, const symbol_type &yyla)
const symbol_type & | lookahead () const YY_NOEXCEPT
symbol_kind_type | token () const YY_NOEXCEPT
const location_type & | location () const YY_NOEXCEPT
int | expected_tokens (symbol_kind_type yyarg[], int yyargn) const

## Detailed Description

Definition at line 532 of file blast-parser-parser.h.

## Constructor & Destructor Documentation

## context()

rostlab::blast::parser::context::context | ( | const parser & | yyparser,
|  | const symbol_type & | yyla )

## Member Function Documentation

## expected_tokens()

int rostlab::blast::parser::context::expected_tokens | ( | symbol_kind_type | yyarg[],
|  | int | yyargn ) const

Put in YYARG at most YYARGN of the expected tokens, and return the number of tokens stored in YYARG. If YYARG is null, return the number of expected tokens (guaranteed to be less than YYNTOKENS).

## location()

const location_type & rostlab::blast::parser::context::location | ( |  | ) | const

inline

Definition at line 538 of file blast-parser-parser.h.

## lookahead()

const symbol_type & rostlab::blast::parser::context::lookahead | ( |  | ) | const

inline

Definition at line 536 of file blast-parser-parser.h.

## token()

symbol_kind_type rostlab::blast::parser::context::token | ( |  | ) | const

inline

Definition at line 537 of file blast-parser-parser.h.

The documentation for this class was generated from the following file:

- rostlab/blast-parser-parser.h